/*
* anonymoX client
*   for Firefox
*
* Author 	Nils Hügelmann	<nils.h@anonymox.net>
* Author 	Florian Prott	<florian.p@anonymox.net>
* Author 	Christian Otto	<chris.o@anonymox.net>
* Author 	Hanno Braun	<hanno.b@anonymox.net>
*
* www.anonymox.net
*
* License: CC BY-NC-ND 3.0, see LICENSE.TXT or http://creativecommons.org/licenses/by-nc-nd/3.0/
*
* Use at your own risk
*
* This is the released, uncommented version of the code.
*/
"use strict";




var attachedData = {
	set: function(attribute, object, data) {
		if (!object.anonymoxdata) {
			object.anonymoxdata = {};
		}

		object.anonymoxdata[attribute] = data;
	},

	get: function(attribute, object) {
		if (!object.anonymoxdata) {
			return undefined;
		}

		return object.anonymoxdata[attribute];
	}
};
